// nvtest.cpp : Nirva sample. 


#include <stdio.h>
#include <string.h>

#include "nvc.h"		// Nirva nvc header


// Global variables
char OutputBuffer[2048];


// Entry point
int main(int argc, char* argv[])
{
	NVREQUEST Request;

	// Create the NIRVA request object
	// If the connection string has to be different than the default one
	// Please use the nvjc constructor that takes the connection string as argument	NVREQUEST Request = NvOpenRequest();
	Request = NvOpenRequest("");
	if(Request == NULL)
	{
		printf("\n\nError opening request\n");
		return -1;
	}

	// Send a NOP command to NIRVA (this also opens the NIRVA session)
	NvCommand(Request, "NV_SERVICE=\"SYSTEM\" NV_CLASS=\"MISC\" NV_COMMAND=\"NOP\"", NULL, 0, NULL);		

	// Get the session ID
	NvCommand(Request, "NV_SERVICE=\"LOCAL\" NV_CLASS=\"REQUEST\" NV_COMMAND=\"GET_SESSION_ID\"",
		OutputBuffer, sizeof(OutputBuffer), NULL);
	printf("Session ID is %s", OutputBuffer);		

	// Close the NIRVA session
	NvCommand(Request, " NV_SERVICE=\"SYSTEM\" NV_CLASS=\"SESSION\" NV_COMMAND=\"CLOSE\"", NULL, 0, NULL);		

	return 0;

} // End main
