//*****************************************************************************
// File: nvrend.java
// Description: Nirva Java rendrer service interface
// Author: Pierre MARC
// Copyright (C) 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Nirva Systems
//
// This file is part of Nirva Application Platform.
// 
// Nirva Application Platform is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Nirva Application Platform is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public License
// along with Nirva Application Platform.  If not, see <http://www.gnu.org/licenses/>.
//
// ***************************************************************************************
// Comments: 
// ***************************************************************************************

package com.nirvasoft.nirva;


public class nvrend
{
	public java.io.ByteArrayInputStream Input;
	public java.io.ByteArrayOutputStream Output;
	public java.lang.String PageName;
	public java.lang.String InputEncoding;
	public java.lang.String SessionId;
	public java.lang.String AppName;
	public java.lang.String Reason;
	public java.lang.String ContentType;
	public int InputLength;
	public java.lang.String HttpRet;

	// constructor
	public nvrend(byte[] InputBytes, java.lang.String sPageName, java.lang.String sSessionId, java.lang.String sAppName, java.lang.String sInputEncoding)
	{
		PageName = "";
		SessionId = "";
		AppName = "";
		Reason = "";
		ContentType = "";
		InputEncoding = "";
		InputLength = InputBytes.length;
		Output = new java.io.ByteArrayOutputStream();
		Input = new java.io.ByteArrayInputStream(InputBytes);
		PageName = sPageName;
		SessionId = sSessionId;
		AppName = sAppName;
		InputEncoding = sInputEncoding;
		HttpRet = "";
	}

	public byte[] GetOutputBuffer()
	{
		return Output.toByteArray();
	}
}
